Update a secondary metafield (To be deprecated)
PUT https://{handle}.myshopline.com/admin/openapi/v20270301/:p_resource/:p_owner_id/:resource/:owner_id/metafields/:id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Update a metafield.
DEPRECATED
This API is deprecated from API version v20250601. Use the Update a metafield for a resource API instead.
Path Parameters
- owner_id string requiredSecondary resource idExample:
1802351351232521351351 - p_owner_id string requiredFirst class resource idExample:
16024213413413412341234 - p_resource string requiredFirst class resources , like productsExample:
products - resource string requiredSecondary resources such as variantsExample:
variants - id string requiredMetafield's idExample:
398100698691
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
metafieldobject required
metafielddescription stringDescriptionExample:testid long requiredMetafield's idExample:398100698691type string requiredValue type , like single_line_text_fieldExample:single_line_text_fieldvalue object requiredValue , type relies on type , default each application dispenses 100 m storage space,the maximum input length for a single metafield is 500,000 characters.Example:{}
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
metafieldobject
metafielddescription stringDescriptionExample:updatekey stringA unique identifier for a metafield within itsnamespace.Example:key_123owner_id stringresource idExample:1802351351232521351351updated_at stringupdate timeExample:2022-12-28T09:48:09+00:00value objectThe data stored in the metafield.created_at stringCreated timeExample:2022-12-28T09:48:09+00:00id longMetafield's idExample:398100698691namespace stringnamespaceExample:namespace_123owner_resource stringresourcesExample:productstype stringTypeExample:single_line_text_field
API Explorer
Debugger
Examples
Was this article helpful to you?